| API Documentation |  |

- MAIN PAGE
- NAMESPACES
- CLASSES

Public Member Functions | List of all members
nkGraphics::ResourceSetLoadQuery Class Reference

Holds information about a resource set (project) load query. More...

## Public Member Functions
| ResourceSetLoadQuery () noexcept
nkMemory::StringView | getPath () const
ResourceDeclAugmentCallback * | getAugmentCallback () const
bool | getScene () const
bool | getMeshes () const
bool | getShaders () const
bool | getShaderPrograms () const
bool | getCompositors () const
bool | getDefaultCompositor () const
bool | getRenderQueues () const
bool | getSamplers () const
bool | getTextures () const
bool | getBuffers () const
bool | getBlendState () const
bool | getDepthStencilState () const
bool | getRasterState () const
bool | getCameras () const
void | setPath (nkMemory::StringView value)
void | setAugmentCallback (ResourceDeclAugmentCallback *value)
void | setScene (bool value)
void | setMeshes (bool value)
void | setShaders (bool value)
void | setShaderPrograms (bool value)
void | setCompositors (bool value)
void | setDefaultCompositor (bool value)
void | setRenderQueues (bool value)
void | setSamplers (bool value)
void | setTextures (bool value)
void | setBuffers (bool value)
void | setBlendState (bool value)
void | setDepthStencilState (bool value)
void | setRasterState (bool value)
void | setCameras (bool value)

## Detailed Description

Holds information about a resource set (project) load query.

## Constructor & Destructor Documentation

## ◆ ResourceSetLoadQuery()

nkGraphics::ResourceSetLoadQuery::ResourceSetLoadQuery | ( |  | ) |
| noexcept

Constructor.

## Member Function Documentation

## ◆ getPath()

nkMemory::StringView nkGraphics::ResourceSetLoadQuery::getPath | ( |  | ) | const

Returns
  The path of main file to load.

## ◆ getAugmentCallback()

ResourceDeclAugmentCallback* nkGraphics::ResourceSetLoadQuery::getAugmentCallback | ( |  | ) | const

Returns
  The augment callback used when loading resources.

## ◆ getScene()

bool nkGraphics::ResourceSetLoadQuery::getScene | ( |  | ) | const

Returns
  Whether the scene should be loaded from the folder (true) or not (false).

## ◆ getMeshes()

bool nkGraphics::ResourceSetLoadQuery::getMeshes | ( |  | ) | const

Returns
  Whether the meshes should be loaded from the folder (true) or not (false).

## ◆ getShaders()

bool nkGraphics::ResourceSetLoadQuery::getShaders | ( |  | ) | const

Returns
  Whether the shaders should be loaded from the folder (true) or not (false).

## ◆ getShaderPrograms()

bool nkGraphics::ResourceSetLoadQuery::getShaderPrograms | ( |  | ) | const

Returns
  Whether the programs should be loaded from the folder (true) or not (false).

## ◆ getCompositors()

bool nkGraphics::ResourceSetLoadQuery::getCompositors | ( |  | ) | const

Returns
  Whether the compositors should be loaded from the folder (true) or not (false).

## ◆ getDefaultCompositor()

bool nkGraphics::ResourceSetLoadQuery::getDefaultCompositor | ( |  | ) | const

Returns
  Whether the default compositor should be loaded from the folder (true) or not (false).

## ◆ getRenderQueues()

bool nkGraphics::ResourceSetLoadQuery::getRenderQueues | ( |  | ) | const

Returns
  Whether the render queues should be loaded from the folder (true) or not (false).

## ◆ getSamplers()

bool nkGraphics::ResourceSetLoadQuery::getSamplers | ( |  | ) | const

Returns
  Whether the samplers should be loaded from the folder (true) or not (false).

## ◆ getTextures()

bool nkGraphics::ResourceSetLoadQuery::getTextures | ( |  | ) | const

Returns
  Whether the textures should be loaded from the folder (true) or not (false).

## ◆ getBuffers()

bool nkGraphics::ResourceSetLoadQuery::getBuffers | ( |  | ) | const

Returns
  Whether the buffers should be loaded from the folder (true) or not (false).

## ◆ getBlendState()

bool nkGraphics::ResourceSetLoadQuery::getBlendState | ( |  | ) | const

Returns
  Whether the blend states should be loaded from the folder (true) or not (false).

## ◆ getDepthStencilState()

bool nkGraphics::ResourceSetLoadQuery::getDepthStencilState | ( |  | ) | const

Returns
  Whether the depth and stencil states should be loaded from the folder (true) or not (false).

## ◆ getRasterState()

bool nkGraphics::ResourceSetLoadQuery::getRasterState | ( |  | ) | const

Returns
  Whether the raster states should be loaded from the folder (true) or not (false).

## ◆ getCameras()

bool nkGraphics::ResourceSetLoadQuery::getCameras | ( |  | ) | const

Returns
  Whether the cameras should be loaded from the folder (true) or not (false).

## ◆ setPath()

void nkGraphics::ResourceSetLoadQuery::setPath | ( | nkMemory::StringView | value | ) |

Sets the path of the main file to import from. Relative to the working directory. See nkResources::ResourceManager for path naming conventions.

Parameters

  value | The path to import from.

## ◆ setAugmentCallback()

void nkGraphics::ResourceSetLoadQuery::setAugmentCallback | ( | ResourceDeclAugmentCallback * | value | ) |

Sets the augmentation callback used, when processing resources.

Parameters

  value | The callback structure to use.

## ◆ setScene()

void nkGraphics::ResourceSetLoadQuery::setScene | ( | bool | value | ) |

Sets whether the scene, symbolized by the node given, should be imported or not.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setMeshes()

void nkGraphics::ResourceSetLoadQuery::setMeshes | ( | bool | value | ) |

Sets whether the meshes should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setShaders()

void nkGraphics::ResourceSetLoadQuery::setShaders | ( | bool | value | ) |

Sets whether the shaders should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setShaderPrograms()

void nkGraphics::ResourceSetLoadQuery::setShaderPrograms | ( | bool | value | ) |

Sets whether the programs should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setCompositors()

void nkGraphics::ResourceSetLoadQuery::setCompositors | ( | bool | value | ) |

Sets whether the compositors should be imported or not.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setDefaultCompositor()

void nkGraphics::ResourceSetLoadQuery::setDefaultCompositor | ( | bool | value | ) |

Sets whether the default compositor used should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setRenderQueues()

void nkGraphics::ResourceSetLoadQuery::setRenderQueues | ( | bool | value | ) |

Sets whether the render queues should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setSamplers()

void nkGraphics::ResourceSetLoadQuery::setSamplers | ( | bool | value | ) |

Sets whether the samplers should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setTextures()

void nkGraphics::ResourceSetLoadQuery::setTextures | ( | bool | value | ) |

Sets whether the textures should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setBuffers()

void nkGraphics::ResourceSetLoadQuery::setBuffers | ( | bool | value | ) |

Sets whether the buffers should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setBlendState()

void nkGraphics::ResourceSetLoadQuery::setBlendState | ( | bool | value | ) |

Sets whether the blend states should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setDepthStencilState()

void nkGraphics::ResourceSetLoadQuery::setDepthStencilState | ( | bool | value | ) |

Sets whether the depth and stencil states should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setRasterState()

void nkGraphics::ResourceSetLoadQuery::setRasterState | ( | bool | value | ) |

Sets whether the raster states should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

## ◆ setCameras()

void nkGraphics::ResourceSetLoadQuery::setCameras | ( | bool | value | ) |

Sets whether the cameras should be imported.

Parameters

  value | Whether it should be imported (true) or not (false).

The documentation for this class was generated from the following file:

- Documentation/Headers/NilkinsGraphics/Resources/ResourceSetLoadQuery.h